# Uses of Class
org.globus.ftp.Session

Packages that use Session
Package
Description
org.globus.ftp
org.globus.ftp.app
org.globus.ftp.dc
org.globus.ftp.vanilla

## Uses of Session in org.globus.ftp

Subclasses of Session in org.globus.ftp
Modifier and Type
Class
Description
`class`
`GridFTPSession`
Represents parameters of an FTP session between a client and a server.
Fields in org.globus.ftp declared as Session
Modifier and Type
Field
Description
`protected Session`
FTPClient.`session`
Methods in org.globus.ftp with parameters of type Session
Modifier and Type
Method
Description
`protected void`
GridFTPSession.`compareServerMode(Session other)`
`protected void`
Session.`compareServerMode(Session other)`
checks that active / passive sides are correctly set
`protected void`
Session.`compareTransferParams(Session other)`
defines how to compare parameters: authorized, PBSZ, MODE, TYPE
`void`
GridFTPSession.`matches(Session other)`
In addition to the inherited functionality, this method also (1) checks if extended active / passive server modes are set correctly, (2) checks if Mode E is needed, and if so, checks whether it has been set.
`void`
Session.`matches(Session other)`
Ensures that settings of 2 servers match each other so that the servers are capable of performing a transfer between themselves.

## Uses of Session in org.globus.ftp.app

Subclasses of Session in org.globus.ftp.app
Modifier and Type
Class
Description
`class`
`TransferParams`
Represents parameters of a transfer.

## Uses of Session in org.globus.ftp.dc

Fields in org.globus.ftp.dc declared as Session
Modifier and Type
Field
Description
`protected Session`
AbstractDataChannel.`session`
`protected Session`
ActiveConnectTask.`session`
`protected Session`
PassiveConnectTask.`session`
Methods in org.globus.ftp.dc with parameters of type Session
Modifier and Type
Method
Description
`DataChannel`
DataChannelFactory.`getDataChannel(Session state, SocketBox socketBox)`
`DataChannel`
GridFTPDataChannelFactory.`getDataChannel(Session session, SocketBox socketBox)`
`DataChannel`
SimpleDataChannelFactory.`getDataChannel(Session state, SocketBox socketBox)`
Constructors in org.globus.ftp.dc with parameters of type Session
Modifier
Constructor
Description
``
`AbstractDataChannel(Session session)`
``
`ActiveConnectTask(HostPort hostPort, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveConnectTask(HostPort hostPort, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveStartTransferTask(DataSink sink, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveStartTransferTask(DataSource source, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
``
`GridFTPDataChannel(Session session, SocketBox socketBox)`
``
`PassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`PassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`SimpleDataChannel(Session session, SocketBox socketBox)`

## Uses of Session in org.globus.ftp.vanilla

Fields in org.globus.ftp.vanilla declared as Session
Modifier and Type
Field
Description
`protected Session`
FTPServerFacade.`session`
Methods in org.globus.ftp.vanilla that return Session
Modifier and Type
Method
Description
`Session`
FTPServerFacade.`getSession()`